layui.define([ 'jquery','form', 'laydate', 'table', 'festivalProductApi'], function(exports) {
	var jquery = layui.jquery;
	var form = layui.form;
	var laydate = layui.laydate;
	var formSelects = layui.formSelects;
	var festivalProductApi = layui.festivalProductApi;

	var index = layui.index;
	var view = {
        init:function(fescod, productid) {
            Lib.initGenrealForm($("#addForm"),form);
            $('#closeButton').click(function(){
                Lib.closeFrame();
            });
            //console.log(products)
            this.initSubmit();

            $('select[name="productid"]').empty().append('<option selected value="">请选择</option>');
            $.post({
                url: Common.ctxPath + '/directed/festivalProduct/findAllDirectedProduct.json',
                dataType: 'JSON',
                success: function (data) {
                    $.each(data, function (i, item) {
                        if (productid == item.productid) {
                            $('select[name="productid"]').append('<option selected value="' + item.productid + '" data-cpid="' + item.cpid + '" data-productname="' + item.productname + '">' + item.productid + ', ' + item.productname + ', ' + item.price + ', ' + item.spproductid + ', ' + item.spcode + '</option>');
                            $('#productname').val(item.productname);
                        } else {
                            $('select[name="productid"]').append('<option value="' + item.productid + '" data-cpid="' + item.cpid + '" data-productname="' + item.productname + '">' + item.productid + ', ' + item.productname + ',' + item.price + ', ' + item.spproductid + ', ' + item.spcode + '</option>');
                        }
                    })
                    form.render()
                },
                error: function (data) {
                    console.log(data)
                }
            });

            form.on('select(productid)', function(data) { //productid是那个lay-filter的值
                //获得选中的option的值
                $('input[name="productname"]').val(data.elem[data.elem.selectedIndex].dataset.productname);
                console.log(data.elem); //得到select原始DOM对象
                console.log(data.value); //得到被选中的值
                console.log(data.othis); //得到美化后的DOM对象
                console.log(data.elem[data.elem.selectedIndex].text); //得到select选中项的值
                console.log(data.elem[data.elem.selectedIndex].title); //得到被选中项的title
                console.log(data.elem[data.elem.selectedIndex])
            });

            $('select[name="cpid"]').empty().append('<option selected value="">请选择</option>');
            $.post({
                url: Common.ctxPath + '/directed/festivalProduct/findAllCpinfo.json',
                dataType: 'JSON',
                success: function (data) {
                    $.each(data, function (i, item) {
                        if (cpid == item.cpid) {
                            $('select[name="cpid"]').append('<option selected value="' + item.cpid + '">' + item.cpname + '</option>');
                        } else {
                            $('select[name="cpid"]').append('<option value="' + item.cpid + '">' + item.cpname + '</option>');
                        }
                    })
                    form.render()
                },
                error: function (data) {
                    console.log(data)
                }
            });

            form.on('select(cpid)', function(data) { //productid是那个lay-filter的值
                var cpid = $('#cpid').val();//获得选中的option的值

                $('select[name="smsord"]').empty().append('<option selected value="">请选择</option>');
                $('select[name="smscan"]').empty().append('<option selected value="">请选择</option>');
                $('select[name="ordervercode"]').empty().append('<option selected value="">请选择</option>');
                $('select[name="prevercode"]').empty().append('<option selected value="">请选择</option>');
                $('select[name="cancelvercode"]').empty().append('<option selected value="">请选择</option>');

                $('select[name="activevercode"]').empty().append('<option selected value="">请选择</option>');
                $('select[name="drawvercode"]').empty().append('<option selected value="">请选择</option>');
                $('select[name="orderfail"]').empty().append('<option selected value="">请选择</option>');

                $.ajax({
                    url: Common.ctxPath + '/directed/festivalProduct/findAllSmsTemplate.json?cpid=' + cpid,//带参数将这个传到后台条件查询方法里面
                    type: "post",
                    dataType : "json",
                    contentType : "application/json",
                    async: false,//同步
                    success: function (result) {
                        $.each(result, function (i, item) {
                            if ($('#smsord1').val() == item.smstype) {
                                $('select[name="smsord"]').append('<option selected value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            } else {
                                $('select[name="smsord"]').append('<option value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            }

                            if ($('#smscan1').val() == item.smstype) {
                                $('select[name="smscan"]').append('<option selected value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            } else {
                                $('select[name="smscan"]').append('<option value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            }

                            if ($('#ordervercode1').val() == item.smstype) {
                                $('select[name="ordervercode"]').append('<option selected value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            } else {
                                $('select[name="ordervercode"]').append('<option value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            }

                            if ($('#prevercode1').val() == item.smstype) {
                                $('select[name="prevercode"]').append('<option selected value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            } else {
                                $('select[name="prevercode"]').append('<option value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            }

                            if ($('#cancelvercode1').val() == item.smstype) {
                                $('select[name="cancelvercode"]').append('<option selected value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            } else {
                                $('select[name="cancelvercode"]').append('<option value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            }

                            if ($('#activevercode1').val() == item.smstype) {
                                $('select[name="activevercode"]').append('<option selected value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            } else {
                                $('select[name="activevercode"]').append('<option value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            }

                            if ($('#drawvercode1').val() == item.smstype) {
                                $('select[name="drawvercode"]').append('<option selected value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            } else {
                                $('select[name="drawvercode"]').append('<option value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            }

                            if ($('#orderfail1').val() == item.smstype) {
                                $('select[name="orderfail"]').append('<option selected value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            } else {
                                $('select[name="orderfail"]').append('<option value="' + item.smstype + '">' + item.smstype + '，' + item.content + '</option>');
                            }
                        })
                    }
                });
                form.render('select');//最后记得渲染
            });
        },

        initSubmit:function(){
        },

	};


    form.on('submit(submitButton)', function (data) {
        festivalProductApi.add($('#addForm'), function(data){
            parent.window.dataReload();
            Common.info("添加成功");
            Lib.closeFrame();
        });
    });



	 exports('add',view);

});